declare default element namespace 'http://пф.рф/ВС/СЗВ-М/2017-01-01';declare namespace УТ = "http://пф.рф/унифицированныеТипы/2014-01-01";
declare namespace АФ = "http://пф.рф/АФ";
declare namespace АФ2 = "http://пф.рф/АФ/2017-01-01";
declare variable $document as node()* external;
declare variable $root:=root($document)/ЭДПФР;
declare variable $szv:=$root/СЗВ-М;
declare variable $fio:=$szv//ФИО;
declare function local:nodeIndex($nodes as node()*, $nodeToFind as node()) as xs:integer
{
for $seq in (1 to count($nodes))
				return $seq[$nodes[$seq] is $nodeToFind]
};
declare function local:nodePosition($node as node()?) as xs:string
{
string-join(
					for $ancestor in $node/ancestor-or-self::*
					let $sibsOfSameName := $ancestor/../*[name()=name($ancestor)]
					return concat(name($ancestor),
						if (count($sibsOfSameName)<= 1) then '' else concat('[',local:nodeIndex($sibsOfSameName,$ancestor),']')),
						'/'
				)
};
declare function local:all-whitespace($arg as xs:string?) as xs:boolean
{
normalize-space($arg) = ''
};
declare function local:isEmpty($element) as xs:boolean
{
local:all-whitespace(string($element))
};
declare function local:notExistsOrEmpty($element) as xs:boolean
{
not(exists($element)) or local:isEmpty($element)
};
<БлокПроверок ID="ВСЗЛ.ФИО.1" name="Блок логических правил проверки фамилии, имени, отчества">
<Проверка ID="1">
<Описание>Должен быть указан хотя бы один из элементов 'Фамилия' или 'Имя'</Описание>
<РезультатЗапроса>
{
				if (count($fio) > 0) then
					for $f in $fio
						return if (local:notExistsOrEmpty($f/УТ:Фамилия) and local:notExistsOrEmpty($f/УТ:Имя)) then
							local:nodePosition($f)
						else '0'
				else '0'
			}
</РезультатЗапроса>
<КодРезультата>30</КодРезультата>
</Проверка>
</БлокПроверок>

