declare default element namespace 'http://пф.рф/ВС/СЗВ-М/2017-01-01';declare namespace УТ = "http://пф.рф/унифицированныеТипы/2014-01-01";
declare namespace АФ = "http://пф.рф/АФ";
declare namespace АФ2 = "http://пф.рф/АФ/2017-01-01";
declare variable $document as node()* external;
declare variable $root:=root($document)/ЭДПФР;
declare variable $szv:=$root/СЗВ-М;
declare variable $innArray:=$szv/СписокЗЛ//ИНН;
declare function local:nodeIndex($nodes as node()*, $nodeToFind as node()) as xs:integer
{
for $seq in (1 to count($nodes))
				return $seq[$nodes[$seq] is $nodeToFind]
};
declare function local:nodePosition($node as node()?) as xs:string
{

				string-join(
						for $ancestor in $node/ancestor-or-self::*
						let $sibsOfSameName := $ancestor/preceding-sibling::*[name()=name($ancestor)]
						return concat(name($ancestor),
							if (count($sibsOfSameName) = 0) then '' else concat('[',count($sibsOfSameName) + 1,']')),
							'/'
					)
			
};
declare function local:chars($arg as xs:string?) as xs:string*
{

				for $ch in string-to-codepoints($arg)
				return codepoints-to-string($ch)
			
};
declare function local:leaf-elements($root as node()?) as element()*
{
$root/descendant-or-self::*[not(*)]
};
declare function local:trim($str as xs:string?) as xs:string
{
replace(replace($str,'\s+$',''),'^\s+','')
};
declare function local:leftTrim($str as xs:string?) as xs:string
{
replace($str,'^\s+','')
};
<БлокПроверок ID="ВСЗЛ.ОП.1" name="Общие для всех документов правила проверки">
<Проверка ID="9">
<Описание>Контрольные цифры ИНН физического лица должны быть числом, подсчитанным по Алгоритму формирования контрольного числа ИНН</Описание>
<РезультатЗапроса>
{
				if (count($innArray) > 0) then
					for $inn in $innArray
						return if (string-length($inn) = 12 and substring($inn,11) != '--') then
							let $n1 := xs:integer(substring($inn,11,1))
							let $n2 := xs:integer(substring($inn,12,1))
							let $koef1 := (7,2,4,10,3,5,9,4,6,8)
							let $koef2 := (3,7,2,4,10,3,5,9,4,6,8)
							let $inn10 := local:chars(substring($inn,1,10))
							let $inn11 := local:chars(substring($inn,1,11))
							let $tmps1 := sum(
								for $i in 1 to 10
								return $koef1[$i] * xs:integer($inn10[$i])
							) mod 11
							let $tmps2 := sum(
								for $i in 1 to 11
								return $koef2[$i] * xs:integer($inn11[$i])
							) mod 11
							let $s1 := if ($tmps1 > 9) then $tmps1 mod 10 else $tmps1
							let $s2 := if ($tmps2 > 9) then $tmps2 mod 10 else $tmps2
							return if ($s1 = $n1 and $s2 = $n2) then '0' else local:nodePosition($inn)
						else
							let $n := xs:integer(substring($inn,10,1))
							let $koef := (2,4,10,3,5,9,4,6,8)
							let $inn9 := local:chars(substring($inn,1,9))
							let $tmps := sum(
								for $i in 1 to 9
								return $koef[$i] * xs:integer($inn9[$i])
							) mod 11
							let $s := if ($tmps > 9) then $tmps mod 10 else $tmps
							return if ($s = $n) then '0' else local:nodePosition($inn)
				else '0'
			}
</РезультатЗапроса>
<КодРезультата>20</КодРезультата>
</Проверка>
</БлокПроверок>

